Subject: bug#23508: bug#23540: 25.1.50; make-ipv4-tcp-server-with-unspecified-port fails

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Oct 2019 13:48:03 +0200

Ken Brown <[email-masked]> writes:

>>>> Presumably the documentation of open-network-stream should also be
>>>> updated to reflect this.  I hesitate to do this myself without knowing
>>>> for sure that t is an acceptable value for all calls to
>>>> open-network-stream.  I'd rather leave it for someone more familiar with
>>>> the code, like Lars.
>>>
>>> I went ahead and installed the obvious fix, to get rid of the test
>>> failure.  I'm leaving the bug open because someone knowledgeable still
>>> needs to update the documentation of open-network-stream.
>> 
>> The test calls make-network-process, not open-network-stream, so
>> altering the documentation of the latter doesn't seem appropriate.
>
> It's appropriate because the documentation is wrong.  The documentation of 
> open-network-stream doesn't say that the fourth argument can be t.

open-network-stream is for opening a client connection.  The t value for
service only makes sense for servers, so mentioning that value in
the open-network-stream doc string seems odd.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no